interface StateChange{
	const long status_id_PA10 = 1;
	const long status_id_RH = 2;
	const long status_id_Meeting = 3;
	const long status_id_Receptionist = 4;

	long SetState(in long src_id, in long state, in string state_str);
};

interface StateChangeFromPA10{
	long SetState(in long state, in string state_str);
};
interface StateChangeFromRH{
	long SetState(in long state, in string state_str);
};
interface StateChangeFromMeeting{
	long SetState(in long state, in string state_str);
};
interface StateChangeFromReceptionist{
	long SetState(in long state, in string state_str);
};



interface ServiceChange{
	const long status_id_Standby = 1;
	const long status_id_Attend = 2;
	const long status_id_Guide = 3;
	const long status_id_Waiting = 4;
	const long status_id_Dispose = 5;

	long SetService(in long src, in long service);
};

